View Issue Details

IDProjectCategoryView StatusLast Update
0003131Far ManagerFindFilespublic2015-12-22 12:40
ReporterlkintactAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003131: Пропадают галочки напротив отмеченных в меню "Используя кодовую страницу" кодировок
Description-
Steps To Reproduce1. Открываю Поиск файлов и в меню "Используя кодовую страницу" помечаю какую-нибудь кодировку.
2. Слева от названия кодировки появляется галочка, и "Все стандартные кодовые страницы" меняется на "Отмеченные кодовые страницы".
3. Жму Esc, снова открываю Поиск файлов.
4. Галочки напротив отмеченной в п.1 кодировки нет, но "Отмеченные кодовые страницы" осталось.

Если ещё раз пометить, а потом снять пометку с кодировки из п.1, "Отмеченные кодовые страницы" меняется на "Все стандартные кодовые страницы" (и, наверное, параметры поиска меняются соот-но), но это ж надо помнить, какая кодировка (или кодировки) была помечена.

Извините, если это фича, а не баг, но мне такое поведение показалось странным.
Additional InformationFAR 3.0 build 4455 x86
TagsNo tags attached.
Build4471

Activities

shmuel

2015-12-10 08:41

developer   bugnote:0014122

Баг - не баг, но пару шероховатостей вы отметили правильно.

На всякий случай, если вы не в курсе, существует меню Параметры -> Кодовые страницы, в котором можно отметить одну или больше страниц, которые станут "фаворитами", после чего они будут появляться в других меню кодовых страниц.

DrKnS

2015-12-12 00:02

administrator   bugnote:0014123

Фавориты и отмеченные в поиске - весьма разные сущности.

Код работы с кодовыми страницами - хтонический ужас, оно там скоро разговаривать начнет.

4471.

Issue History

Date Modified Username Field Change
2015-12-10 03:10 lkintact New Issue
2015-12-10 08:41 shmuel Note Added: 0014122
2015-12-11 23:58 DrKnS Assigned To => DrKnS
2015-12-11 23:58 DrKnS Status new => assigned
2015-12-12 00:02 DrKnS Note Added: 0014123
2015-12-12 00:02 DrKnS Status assigned => feedback
2015-12-22 12:40 DrKnS Build => 4471
2015-12-22 12:40 DrKnS Status feedback => closed
2015-12-22 12:40 DrKnS Resolution open => fixed
2015-12-22 12:40 DrKnS Fixed in Version => 3.0